Subject: git pull --all fails (possible options handling bug in git pull?)

From: Zing <[email-masked]>
Date: Wed, 6 Jan 2010 19:05:44 +0000 (UTC)

In 1.6.6, if I do:

$ git pull --all
Fetching origin
Fetching gnome
You asked to pull from the remote '--all', but did not specify
a branch. Because this is not the default configured remote
for your current branch, you must specify a branch on the command line.

The fetch all remotes works, but shouldn't the "--all" option only apply
to the fetch operation?  It looks like it's getting noticed by the merge
part of the pull.